# (c) 1998 Simon Windmill, simon@wfmm.com
# windmill fraser multimedia, inc.  http://www.wfmm.com/
#
# This is an object script.  Assign it to an object and press Play.
# Whenever the object dips below the groundlevel, it pops back, so your
# characters aren't running through the ground.


# we want this to work interactively, so we check every tick change
def ontimechanged():
  # get the object's position
  x = me.Position[0]
  y = me.Position[1]
  z = me.Position[2]
  # if the z value is less than 1, we move the object's z position to 1
  if z < 1:
    me.Position = x, y, 1

    # and update the view
    doc.Draw()