# MFC base classes.
import sys

class Object:
	def __init__(self, initObj = None):
		self.__dict__['_obj_'] = initObj
#		self._obj_ = initObj
		if initObj: initObj.AttachObject(self)
	def __del__(self):
		self.close()
	def __getattr__(self, attr):	# Make this object look like the underlying win32ui one.
		try:	
			# During cleanup __dict__ is not available, causing recursive death.
			if attr != '__dict__':
				o = self.__dict__['_obj_']
				if o:
					return getattr(o, attr)
		except KeyError:
			pass
		raise AttributeError, attr

	def OnAttachedObjectDeath(self):
#		print "object", self.__class__.__name__, "dieing"
		self._obj_ = None
	def close(self):
		if self.__dict__.has_key('_obj_'):
			if self._obj_:
				self._obj_.AttachObject(None)
				self._obj_ = None

class CmdTarget(Object):
	def __init__(self, initObj):
		Object.__init__(self, initObj)

